Wireshark-users: Re: [Wireshark-users] Help about graphic problems
From: "Sync ma" <[email protected]>
Date: Mon, 16 Apr 2007 19:19:07 +0800
I did it, thanks a lot.
gtk2-devel*.rpm has not been installed at that moment.
maybe wireshark needs to update the user guide for glib 2.X and gtk2, :)


 
2007/4/16, Guy Harris <[email protected]>:
Sync ma wrote:

>          I try to build graphic wireshark on RHEL5, just follow the user
> guide step by step (Section 2.3 & 2.4).
>
> But I cound not get a graphic wireshark in KDE.

Do you have GTK+ installed, including any developer package for GTK+?

If not, you can't build Wireshark, you can only build TShark.  For
better or worse, Wireshark uses GTK+, not Qt, as its graphical toolkit,
so merely installing KDE, including KDE developer packages, is *NOT*
sufficient to allow Wireshark to be built - just as, for example, it's
not sufficient to allow the GIMP, or Nautilus, or Evolution, or any
*other* GTK+ program to be built.

(That's a disadvantage of the diversity of GUI toolkits in X11; any
given desktop environment might not be sufficient to run all GUI
applications, and any given desktop environment's developer packages
might not be sufficient to build all GUI applications.)
_______________________________________________
Wireshark-users mailing list
[email protected]
http://www.wireshark.org/mailman/listinfo/wireshark-users